import React from 'react'
import { Inter } from 'next/font/google'

import './globals.css'
import { PersonProvider } from './components/PersonContext'

const inter = Inter({ subsets: ['latin'] })

export const metadata = {
  title: 'David Hrdina Němeček | CV.',
  description: 'Curriculum Vitae',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <PersonProvider>
          {children}
        </PersonProvider>
        </body>
    </html>
  )
}
